Skip to main content
GET
List introduction report matches

Authorizations

x-api-key
string
header
required

API key for authentication. Generate keys in the Doozy dashboard.

Path Parameters

introduction_id
string
required

Introduction ID

Required string length: 1 - 128
Pattern: ^[A-Za-z0-9_-]+$
Example:

"H45xq8UBtUJxmSs294Gu"

Query Parameters

start_date
string<date-time>

Filter matches from this date (ISO 8601)

Example:

"2024-01-01T00:00:00.000Z"

end_date
string<date-time>

Filter matches until this date (ISO 8601)

Example:

"2024-12-31T23:59:59.999Z"

instance_id
string

Filter to a specific instance

Example:

"K2CC1FIYz0JGcnCsNbIa"

limit
integer
default:25

Maximum number of matches to return (default: 25, max: 100)

Required range: 1 <= x <= 100
Example:

25

starting_after
string

A match ID; returns the page after it

Maximum string length: 256
Example:

"K2CC1FIYz0JGcnCsNbIa:YG9xvAARTy5dpxqFyKpA"

ending_before
string

A match ID; returns the page before it

Maximum string length: 256
Example:

"K2CC1FIYz0JGcnCsNbIa:fn9qLqMqpPGDkn5MjXml"

Response

A page of matches

object
enum<string>
required
Available options:
list
data
object[]
required
has_more
boolean
required
url
string
required